> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Change Product Type



## OpenAPI

````yaml /openapi.json patch /v1/workspaces/{workspaceId}/collections/{id}/entries/{entryId}/product-type
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /v1/workspaces/{workspaceId}/collections/{id}/entries/{entryId}/product-type:
    patch:
      tags:
        - Collection Product Type
      summary: Change Product Type
      operationId: CollectionProductTypeController_changeProductType_v1
      parameters:
        - name: workspaceId
          required: true
          in: path
          schema:
            type: string
        - name: id
          required: true
          in: path
          schema:
            type: string
        - name: entryId
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateCollectionProductTypeDto'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CollectionProductTypeResponseDto'
      security:
        - bearer: []
components:
  schemas:
    UpdateCollectionProductTypeDto:
      type: object
      properties:
        familyId:
          type: string
        referenceItemId:
          type: string
        categoryId:
          type: string
        productTypeId:
          type:
            - string
            - 'null'
        version:
          type: integer
          exclusiveMinimum: 0
          maximum: 9007199254740991
        entryVersion:
          type: integer
          exclusiveMinimum: 0
          maximum: 9007199254740991
        collectionVersion:
          type: integer
          exclusiveMinimum: 0
          maximum: 9007199254740991
      required:
        - familyId
        - referenceItemId
        - categoryId
        - productTypeId
        - version
        - entryVersion
        - collectionVersion
      additionalProperties: false
    CollectionProductTypeResponseDto:
      type: object
      properties:
        defaultParLevel:
          type:
            - string
            - 'null'
        manufacturerCompany:
          anyOf:
            - $ref: '#/components/schemas/CatalogManufacturerResponseDto'
            - type: 'null'
        restored:
          type: boolean
        deletedAt:
          type:
            - string
            - 'null'
        images:
          type: array
          items:
            $ref: '#/components/schemas/CatalogFamilyImageDto'
        items:
          type: array
          items:
            $ref: '#/components/schemas/CatalogItemDto'
        enrichedParts:
          type: array
          items:
            $ref: '#/components/schemas/EnrichedPartDto'
        affectedParentFamilyIds:
          type: array
          items:
            type: string
        affectedProjectIds:
          type: array
          items:
            type: string
        finishesCount:
          type: number
        productsCount:
          type: number
        id:
          type: string
        name:
          type: string
        status:
          type: string
          enum:
            - draft
            - new_from_project
            - new_from_collection
            - ready_to_use
        discontinuedAt:
          type:
            - string
            - 'null'
        itemType:
          type: string
          enum:
            - default
            - material
        position:
          type:
            - number
            - 'null'
        categoryId:
          type: string
        productTypeId:
          type:
            - string
            - 'null'
        code:
          type:
            - string
            - 'null'
        categoryName:
          type: string
        primaryImageUrl:
          type:
            - string
            - 'null'
        columnsAttributes:
          type: object
          additionalProperties: true
        primaryItemId:
          type:
            - string
            - 'null'
        primaryItemName:
          type:
            - string
            - 'null'
        primaryItemVersion:
          type:
            - number
            - 'null'
        primaryItemColumnsAttributes:
          type: object
          additionalProperties: true
        primaryFamilySourceId:
          type:
            - string
            - 'null'
        primarySourceContactCompany:
          anyOf:
            - $ref: '#/components/schemas/ContactCompanyResponseDto'
            - type: 'null'
        primarySourceContactOffice:
          anyOf:
            - $ref: '#/components/schemas/ContactOfficeResponseDto'
            - type: 'null'
        primaryFamilySourceVersion:
          type:
            - number
            - 'null'
        primarySourceColumnsAttributes:
          type: object
          additionalProperties: true
        primaryItemSourceId:
          type:
            - string
            - 'null'
        primaryItemSourceVersion:
          type:
            - number
            - 'null'
        primaryItemSourceColumnsAttributes:
          type: object
          additionalProperties: true
        metadata:
          type: object
          additionalProperties:
            type: string
        partsCount:
          type: number
        materialsCount:
          type: number
        usedAsParts:
          type: boolean
        catalogAlternativeCount:
          type: number
        similarItemsCount:
          type: number
        coreChangePolicy:
          type: object
        version:
          type: number
        createdAt:
          type: string
        updatedAt:
          type: string
        affectedCollectionVersions:
          type: array
          items:
            $ref: '#/components/schemas/AffectedCollectionVersionDto'
      required:
        - defaultParLevel
        - manufacturerCompany
        - restored
        - deletedAt
        - images
        - items
        - enrichedParts
        - affectedParentFamilyIds
        - affectedProjectIds
        - id
        - name
        - status
        - discontinuedAt
        - itemType
        - position
        - categoryId
        - productTypeId
        - code
        - categoryName
        - primaryImageUrl
        - columnsAttributes
        - primaryItemId
        - primaryItemName
        - primaryItemVersion
        - primaryItemColumnsAttributes
        - primaryFamilySourceId
        - primarySourceContactCompany
        - primarySourceContactOffice
        - primaryFamilySourceVersion
        - primarySourceColumnsAttributes
        - primaryItemSourceId
        - primaryItemSourceVersion
        - primaryItemSourceColumnsAttributes
        - metadata
        - partsCount
        - materialsCount
        - usedAsParts
        - catalogAlternativeCount
        - similarItemsCount
        - coreChangePolicy
        - version
        - createdAt
        - updatedAt
        - affectedCollectionVersions
    CatalogManufacturerResponseDto:
      type: object
      properties:
        identity:
          $ref: '#/components/schemas/CompanyIdentityResponseDto'
        id:
          type: string
        name:
          type: string
        available:
          type: boolean
      required:
        - id
        - name
        - available
    CatalogFamilyImageDto:
      type: object
      properties:
        id:
          type: string
        familyId:
          type: string
        url:
          type: string
        filename:
          type: string
        isPrimary:
          type: boolean
        version:
          type: number
        createdAt:
          type: string
        updatedAt:
          type: string
        affectedParentFamilyIds:
          type: array
          items:
            type: string
        affectedProjectIds:
          type: array
          items:
            type: string
      required:
        - id
        - familyId
        - url
        - filename
        - isPrimary
        - version
        - createdAt
        - updatedAt
        - affectedParentFamilyIds
        - affectedProjectIds
    CatalogItemDto:
      type: object
      properties:
        id:
          type: string
        familyId:
          type: string
        name:
          type: string
        isPrimary:
          type: boolean
        columnsAttributes:
          type: object
          additionalProperties: true
        version:
          type: number
        createdAt:
          type: string
        updatedAt:
          type: string
        affectedParentFamilyIds:
          type: array
          items:
            type: string
        affectedProjectIds:
          type: array
          items:
            type: string
      required:
        - id
        - familyId
        - name
        - isPrimary
        - columnsAttributes
        - version
        - createdAt
        - updatedAt
        - affectedParentFamilyIds
        - affectedProjectIds
    EnrichedPartDto:
      type: object
      properties:
        id:
          type: string
        itemId:
          type: string
        partItemId:
          type: string
        partItemName:
          type: string
        partItemColumnsAttributes:
          type: object
          additionalProperties: true
        partItemVersion:
          type: number
        quantity:
          type: string
        location:
          type:
            - string
            - 'null'
        createdAt:
          type: string
        partFamily:
          $ref: '#/components/schemas/PartFamilySummaryDto'
        primaryItemSourceId:
          type:
            - string
            - 'null'
        primaryFamilySourceId:
          type:
            - string
            - 'null'
        primaryFamilySourceVersion:
          type:
            - number
            - 'null'
        primarySourceColumnsAttributes:
          type: object
          additionalProperties: true
        sources:
          type: array
          items:
            $ref: '#/components/schemas/CatalogItemSourceResponseDto'
      required:
        - id
        - itemId
        - partItemId
        - partItemName
        - partItemColumnsAttributes
        - partItemVersion
        - quantity
        - location
        - createdAt
        - partFamily
        - primaryItemSourceId
        - primaryFamilySourceId
        - primaryFamilySourceVersion
        - primarySourceColumnsAttributes
        - sources
    ContactCompanyResponseDto:
      type: object
      properties:
        identity:
          $ref: '#/components/schemas/CompanyIdentityResponseDto'
        id:
          type: string
        name:
          type: string
        domain:
          type:
            - string
            - 'null'
        currency:
          enum:
            - USD
            - CAD
            - GBP
            - EUR
            - CNY
            - JPY
            - MXN
            - AFN
            - ALL
            - DZD
            - AOA
            - ARS
            - AMD
            - AWG
            - AUD
            - AZN
            - BSD
            - BHD
            - BDT
            - BYN
            - BZD
            - BMD
            - BTN
            - BOB
            - BAM
            - BWP
            - BRL
            - BND
            - BGN
            - MMK
            - BIF
            - KHR
            - CVE
            - KYD
            - XAF
            - XPF
            - CLP
            - COP
            - KMF
            - CDF
            - CRC
            - HRK
            - CUP
            - CZK
            - DKK
            - DJF
            - DOP
            - XCD
            - EGP
            - ERN
            - ETB
            - FKP
            - FJD
            - GMD
            - GEL
            - GHS
            - GIP
            - GTQ
            - GNF
            - GYD
            - HTG
            - HNL
            - HKD
            - HUF
            - ISK
            - INR
            - IDR
            - IRR
            - IQD
            - ILS
            - JMD
            - JOD
            - KZT
            - KES
            - KWD
            - KGS
            - LAK
            - LBP
            - LSL
            - LRD
            - LYD
            - MOP
            - MGA
            - MWK
            - MYR
            - MVR
            - MRU
            - MUR
            - MDL
            - MNT
            - MAD
            - MZN
            - NAD
            - NPR
            - ANG
            - TWD
            - NZD
            - NIO
            - NGN
            - MKD
            - NOK
            - OMR
            - PKR
            - PAB
            - PGK
            - PYG
            - PEN
            - PHP
            - PLN
            - QAR
            - RON
            - RUB
            - RWF
            - SHP
            - WST
            - SAR
            - RSD
            - SCR
            - SLE
            - SGD
            - SBD
            - SOS
            - ZAR
            - KRW
            - SSP
            - LKR
            - SDG
            - SRD
            - SZL
            - SEK
            - CHF
            - SYP
            - STN
            - TJS
            - TZS
            - THB
            - TOP
            - TTD
            - TND
            - TRY
            - TMT
            - UGX
            - UAH
            - AED
            - UYU
            - UZS
            - VUV
            - VES
            - VND
            - XOF
            - YER
            - ZMW
            - null
          type:
            - string
            - 'null'
        available:
          type: boolean
      required:
        - id
        - name
        - domain
        - currency
        - available
    ContactOfficeResponseDto:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        address:
          type:
            - string
            - 'null'
        currency:
          enum:
            - USD
            - CAD
            - GBP
            - EUR
            - CNY
            - JPY
            - MXN
            - AFN
            - ALL
            - DZD
            - AOA
            - ARS
            - AMD
            - AWG
            - AUD
            - AZN
            - BSD
            - BHD
            - BDT
            - BYN
            - BZD
            - BMD
            - BTN
            - BOB
            - BAM
            - BWP
            - BRL
            - BND
            - BGN
            - MMK
            - BIF
            - KHR
            - CVE
            - KYD
            - XAF
            - XPF
            - CLP
            - COP
            - KMF
            - CDF
            - CRC
            - HRK
            - CUP
            - CZK
            - DKK
            - DJF
            - DOP
            - XCD
            - EGP
            - ERN
            - ETB
            - FKP
            - FJD
            - GMD
            - GEL
            - GHS
            - GIP
            - GTQ
            - GNF
            - GYD
            - HTG
            - HNL
            - HKD
            - HUF
            - ISK
            - INR
            - IDR
            - IRR
            - IQD
            - ILS
            - JMD
            - JOD
            - KZT
            - KES
            - KWD
            - KGS
            - LAK
            - LBP
            - LSL
            - LRD
            - LYD
            - MOP
            - MGA
            - MWK
            - MYR
            - MVR
            - MRU
            - MUR
            - MDL
            - MNT
            - MAD
            - MZN
            - NAD
            - NPR
            - ANG
            - TWD
            - NZD
            - NIO
            - NGN
            - MKD
            - NOK
            - OMR
            - PKR
            - PAB
            - PGK
            - PYG
            - PEN
            - PHP
            - PLN
            - QAR
            - RON
            - RUB
            - RWF
            - SHP
            - WST
            - SAR
            - RSD
            - SCR
            - SLE
            - SGD
            - SBD
            - SOS
            - ZAR
            - KRW
            - SSP
            - LKR
            - SDG
            - SRD
            - SZL
            - SEK
            - CHF
            - SYP
            - STN
            - TJS
            - TZS
            - THB
            - TOP
            - TTD
            - TND
            - TRY
            - TMT
            - UGX
            - UAH
            - AED
            - UYU
            - UZS
            - VUV
            - VES
            - VND
            - XOF
            - YER
            - ZMW
            - null
          type:
            - string
            - 'null'
        available:
          type: boolean
      required:
        - id
        - name
        - address
        - currency
        - available
    AffectedCollectionVersionDto:
      type: object
      properties:
        id:
          type: string
        version:
          type: number
      required:
        - id
        - version
    CompanyIdentityResponseDto:
      type: object
      properties:
        globalCompany:
          anyOf:
            - $ref: '#/components/schemas/GlobalCompanyResponseDto'
            - type: 'null'
        version:
          type:
            - number
            - 'null'
        suggestion:
          anyOf:
            - $ref: '#/components/schemas/CompanyIdentitySuggestionDto'
            - type: 'null'
      required:
        - globalCompany
        - version
    PartFamilySummaryDto:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        status:
          type: string
        discontinuedAt:
          type:
            - string
            - 'null'
        itemType:
          type: string
        categoryId:
          type: string
        categoryName:
          type: string
        primaryImageUrl:
          type:
            - string
            - 'null'
        manufacturerCompany:
          anyOf:
            - $ref: '#/components/schemas/CatalogManufacturerResponseDto'
            - type: 'null'
        partsCount:
          type: number
        materialsCount:
          type: number
        version:
          type: number
      required:
        - id
        - name
        - status
        - discontinuedAt
        - itemType
        - categoryId
        - categoryName
        - primaryImageUrl
        - manufacturerCompany
        - partsCount
        - materialsCount
        - version
    CatalogItemSourceResponseDto:
      type: object
      properties:
        id:
          type: string
        itemId:
          type: string
        familySourceId:
          type: string
        columnsAttributes:
          type: object
          additionalProperties: true
        version:
          type: number
        createdAt:
          type: string
        updatedAt:
          type: string
        affectedParentFamilyIds:
          type: array
          items:
            type: string
        affectedProjectIds:
          type: array
          items:
            type: string
      required:
        - id
        - itemId
        - familySourceId
        - columnsAttributes
        - version
        - createdAt
        - updatedAt
        - affectedParentFamilyIds
        - affectedProjectIds
    GlobalCompanyResponseDto:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        primaryType:
          type: string
          enum:
            - brand
            - rep
            - dealer
            - distributor
        legalName:
          type:
            - string
            - 'null'
        country:
          type:
            - string
            - 'null'
        aliases:
          type: array
          items:
            type: string
        domains:
          type: array
          items:
            type: string
        retiredAt:
          type:
            - string
            - 'null'
      required:
        - id
        - name
        - primaryType
        - legalName
        - country
        - aliases
        - domains
        - retiredAt
    CompanyIdentitySuggestionDto:
      type: object
      properties:
        candidates:
          type: array
          items:
            $ref: '#/components/schemas/CompanyIdentityCandidateResponseDto'
        expectedVersion:
          type:
            - number
            - 'null'
        evidenceFingerprint:
          type: string
      required:
        - candidates
        - expectedVersion
        - evidenceFingerprint
    CompanyIdentityCandidateResponseDto:
      type: object
      properties:
        company:
          $ref: '#/components/schemas/GlobalCompanyResponseDto'
        nameMatch:
          type: boolean
        matchingHosts:
          type: array
          items:
            type: string
        typeMatch:
          type: boolean
      required:
        - company
        - nameMatch
        - matchingHosts
        - typeMatch
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.